Welcome to mirror list, hosted at ThFree Co, Russian Federation.

gitlab.com/gitlab-org/gitlab-foss.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorGitLab Bot <gitlab-bot@gitlab.com>2021-11-01 21:12:42 +0300
committerGitLab Bot <gitlab-bot@gitlab.com>2021-11-01 21:12:42 +0300
commit024e8b496d114c7c9adfce1736cea3c1eddc5979 (patch)
tree992014993824949b7880a19db4f9ac7e9513a5e4 /bin
parent7b9eeda4329ef633e287ac69f1b0399c0dc7d64a (diff)
Add latest changes from gitlab-org/gitlab@master
Diffstat (limited to 'bin')
-rwxr-xr-xbin/background_jobs7
1 files changed, 7 insertions, 0 deletions
diff --git a/bin/background_jobs b/bin/background_jobs
index f9b42b97e06..d8929881f12 100755
--- a/bin/background_jobs
+++ b/bin/background_jobs
@@ -8,6 +8,8 @@ sidekiq_pidfile="$app_root/tmp/pids/sidekiq-cluster.pid"
sidekiq_logfile="$app_root/log/sidekiq.log"
gitlab_user=$(ls -l config.ru | awk '{print $3}')
+trap cleanup EXIT
+
warn()
{
echo "$@" 1>&2
@@ -59,6 +61,11 @@ start_sidekiq()
${cmd} bin/sidekiq-cluster "${processes_args[@]}" -P $sidekiq_pidfile -e $RAILS_ENV "$@" 2>&1 | tee -a $sidekiq_logfile
}
+cleanup()
+{
+ stop
+}
+
action="$1"
shift